/**
 * Sigma.js Rendering Utils
 * ===========================
 *
 * Helpers used by most renderers.
 */
/**
 * Function used to create DOM elements easily.
 *
 * @param  {string} tag        - Tag name of the element to create.
 * @param  {object} attributes - Attributes map.
 * @return {HTMLElement}
 */
export declare function createElement(tag: any, attributes: any): any;
/**
 * Function returning the browser's pixel ratio.
 *
 * @return {number}
 */
export declare function getPixelRatio(): number;
/**
 * Factory returning a function normalizing the given node's position & size.
 *
 * @param  {object}   extent  - Extent of the graph.
 * @return {function}
 */
export declare function createNormalizationFunction(extent: any): {
    (data: any): {
        x: number;
        y: number;
    };
    applyTo(data: any): void;
    inverse(data: any): {
        x: number;
        y: number;
    };
    ratio: number;
};
