/**
 * Sigma.js Mouse Captor
 * ======================
 *
 * Sigma's captor dealing with the user's mouse.
 */
import Camera, { CameraState } from "../camera";
import Captor from "../captor";
/**
 * Mouse captor class.
 *
 * @constructor
 */
export default class MouseCaptor extends Captor {
    container: HTMLElement;
    camera: Camera;
    enabled: boolean;
    hasDragged: boolean;
    downStartTime: number;
    lastMouseX: number;
    lastMouseY: number;
    isMouseDown: boolean;
    isMoving: boolean;
    movingTimeout: number;
    startCameraState: CameraState;
    lastCameraState: CameraState;
    clicks: number;
    doubleClickTimeout: number;
    wheelLock: boolean;
    constructor(container: HTMLElement, camera: Camera);
    kill(): void;
    handleClick(e: MouseEvent): boolean;
    handleRightClick(e: MouseEvent): void;
    handleDoubleClick(e: MouseEvent): boolean;
    handleDown(e: MouseEvent): void;
    handleUp(e: MouseEvent): void;
    handleMove(e: MouseEvent): boolean;
    handleWheel(e: WheelEvent): boolean;
    handleOut(): void;
}
