/**
 * Sigma.js Display Data Classes
 * ==============================
 *
 * Classes representing nodes & edges display data aiming at facilitating
 * the engine's memory representation and keep them in a pool to avoid
 * requiring to allocate memory too often.
 *
 * NOTE: it's possible to optimize this further by maintaining display data
 * in byte arrays but this would prove more tedious for the rendering logic
 * afterwards.
 */
export declare class NodeDisplayData {
    index: string;
    x: number;
    y: number;
    size: number;
    color: string;
    hidden: boolean;
    label: string;
    constructor(index: any, settings: any);
    assign(data: any): void;
}
export declare class EdgeDisplayData {
    index: any;
    size: number;
    color: string;
    hidden: boolean;
    label: string;
    constructor(index: any, settings: any);
    assign(data: any): void;
}
