/**
 * Sigma.js WebGL Renderer Node Program
 * =====================================
 *
 * Simple program rendering nodes as discs, shaped by triangles using the
 * `gl.TRIANGLES` display mode. So, to draw one node, it will need to store
 * three times the center of the node, with the color, the size and an angle
 * indicating which "corner" of the triangle to draw.
 */
import Program from "./program";
export default class NodeProgram extends Program {
    positionLocation: GLint;
    sizeLocation: GLint;
    colorLocation: GLint;
    angleLocation: GLint;
    resolutionLocation: WebGLUniformLocation;
    matrixLocation: WebGLUniformLocation;
    ratioLocation: WebGLUniformLocation;
    scaleLocation: WebGLUniformLocation;
    constructor(gl: WebGLRenderingContext);
    allocate(capacity: any): void;
    process(data: any, offset: any): void;
    bufferData(): void;
    render(params: any): void;
}
